com.collabnet.ce.soap60.webservices.tracker

## Class ArtifactDetailSoapList

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.tracker.ArtifactDetailSoapList

-     public class ArtifactDetailSoapList
      extends Object

  ArtifactDetailSoapList class represents a list of artifacts. It contains a sequence of ArtifactDetailSoapRow objects. Note that the ArtifactDetailSoapRow object is strictly a data container used for one-way fetching of data about a list of objects. Its "setter" methods cannot be used to change data on the server.
  Change History
  Release: 4.4
  - Changed Flex fields from being SoapNamedValues to being SoapFieldValues
  - Due to the ability of getDetailedArtifactList() to fetch only selected columns (added in 4.4), the ArtifactDetailSoapRow objects contained in an ArtifactDetailSoapList may now be only partially populated.
  - The getFullListSize() method has been added. In 4.4, getDetailedArtifactList() was enhanced to enable fetching the result in pages (by specifying a start index and number of rows). getFullListSize() has been added to provide the entire list size even when fetching only a subset.
  Release: 6.1
  - Added id and title of planning folder.
  - Added Id for reportedInRelease field.
  - Added Id for resolvedInRelease field.
  - Added points field.
  - Added autosumming field.
  - Added tracker icon field.
  - Renamed estimatedHours and actualHours to estimatedEffort and actualEffort, and added remainingEffort field.
  Since:
    4.3-HOTFIX1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtifactDetailSoapList()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArtifactDetailSoapRow[]` | `getDataRows()`
    `int` | `getFullListSize()` Returns the total number of rows that match the current search criteria, even if a subset of rows has been fetched with getDetailedArtifactList() (by specifying a start index and number of rows).
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setDataRows(ArtifactDetailSoapRow[] rows)`
    `void` | `setFullListSize(int fullListSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtifactDetailSoapList

          public ArtifactDetailSoapList()

  - ### Method Detail

    - #### getDataRows

          public ArtifactDetailSoapRow[] getDataRows()

    - #### setDataRows

          public void setDataRows(ArtifactDetailSoapRow[] rows)

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

    - #### setFullListSize

          public void setFullListSize(int fullListSize)

      Parameters:
        `fullListSize` -

    - #### getFullListSize

          public int getFullListSize()

      Returns the total number of rows that match the current search criteria, even if a subset of rows has been fetched with getDetailedArtifactList() (by specifying a start index and number of rows).
      Returns:
        an integer with the size.

Copyright © 2019 CollabNet. All rights reserved.